<?php
namespace Modules\Admin\DocumentSeries;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options

			// INSERT
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Insert::create('insert')
				->setDescription($this->lang['index']['options']['buttons']['insert'])
				->setDimensions(600, 550)
			)

			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create("access")
				->setDescription($this->lang['index']['options']['buttons']['access'])
				->setAction('access')
				->setDimensions(650, 650)
				->setIcon('settings')
				->setKeyForCurrentRow('id')
			)

			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Update::create("update")
				->setDescription($this->lang['index']['options']['buttons']['update'])
				->setDimensions(600, 550)
			)

			->append(\App\Mvc\View\Utils\RowOptions\Option\Delete::create("delete")
				->setDescription($this->lang['index']['options']['buttons']['delete'])
			)

			// DELETE MULTIPLE ITEMS
			->append(\App\Mvc\View\Utils\RowOptions\Option\DeleteSelected::create("delete")
					->setDescription($this->lang['index']['options']['description']['delete'])
			)
		;
	}
}